INNMAIL(1)

NAME
innmail - Simple mail-sending program

SYNOPSIS
innmail [-h] [-a header] [-s subject] address [address ...]

DESCRIPTION
innmail is a Perl script intended to provide the non-interactive mail-sending functionality of mail(1) while avoiding nasty security problems. It takes the body of a mail message on standard input and sends it to the specified addresses by invoking the value of mta in inn.conf.

At least one address (formatted for the MTA specified in inn.conf, if it matters) is required. innmail will sanitize the addresses so that they contain only alphanumerics and the symbols "@", ".", "-", "+", "_", and "%".

innmail was written to be suitable for the mailcmd setting in inn.conf.

OPTIONS

-a header
    Specifies an additional header field to add in the headers of the message. It should be a well-formed header field surrounded by quotes, consisting of a name and a body separated with a colon and a space. For instance, "Auto-Submitted: auto-generated" is used by some programs invoking innmail.

    You may provide more than one header field if header is a multi-line string, which can for instance be done with these commands:

        HEADERS=$(echo -e "Hdr1: Body1\nHdr2: Body2")
        echo "test" | innmail -a "$HEADERS" -s Test joe

-h  Gives usage information.

-s subject
    Sets the Subject header field body of the message. A warning is issued if this option is omitted.

EXAMPLES
This sends a one-line message to the local user "joe":

    echo "A one-line message." | innmail -s "Simple message" joe

innmail by default is used by INN for sending nightly reports to the news administrator, as well as errors during the execution of a few programs.

BUGS
innmail fails on addresses that begin with "-", although one might hope that the news server will not need to contact any such addresses.

There are many "correct" addresses that will be silently modified by the sanitization process. A news administrator should be careful to use particularly sane addresses if they may be passed to innmail.

HISTORY
innmail was written by James Brister <brister@vix.com> for InterNetNews. This manual page was originally written by Jeffrey M. Vinocur.

SEE ALSO
inn.conf(5), mail(1).